UsersUpdate user
Users

Update user

curl -X PATCH "https://api.neostra.io/api/v1/user/123e4567-e89b-12d3-a456-426614174000" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "role": "example_string",
  "firstName": "John Doe",
  "lastName": "John Doe"
}'
{
  "success": true,
  "message": "example_string",
  "data": {}
}
PATCH
/api/v1/user/{userId}
PATCH
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Path Parameters

Responses

successboolean
messagestring
dataobject